﻿namespace Tiobon.Core.Model;

/// <summary>
/// 全局常量
/// </summary>
public class Consts
{

    #region 课程管理 
    /// <summary>
    /// 课程管理-状态
    /// </summary>
    public static class DIC_COURSE_STATUS
    {
        /// <summary>
        /// 草稿箱
        /// </summary>
        public const string DRAFT = "Draft";
        /// <summary>
        /// 已发布
        /// </summary>
        public const string RELEASED = "Released";

        /// <summary>
        /// 已停用
        /// </summary>
        public const string DISABLED = "Disabled";

    }
    #endregion

    #region 试卷管理 
    /// <summary>
    /// 试卷管理-状态
    /// </summary>
    public static class DIC_EXAM_PAPER_STATUS
    {
        /// <summary>
        /// 草稿箱
        /// </summary>
        public const string DRAFT = "Draft";
        /// <summary>
        /// 已发布
        /// </summary>
        public const string RELEASED = "Released";

        /// <summary>
        /// 已停用
        /// </summary>
        public const string DISABLED = "Disabled";

    }

    /// <summary>
    /// 试卷管理-出题方式
    /// </summary>
    public static class DIC_EXAM_PAPER_SET_METHOD
    {
        /// <summary>
        /// 人工出题
        /// </summary>
        public const string MANUAL = "manual";

        /// <summary>
        /// 随机出题
        /// </summary>
        public const string RANDOM = "random";

    }

    /// <summary>
    /// 试卷管理-评分方式
    /// </summary>
    public static class DIC_EXAM_PAPER_SCORE_METHOD
    {
        /// <summary>
        /// 手动评分
        /// </summary>
        public const string MANUAL = "Manual";

        /// <summary>
        /// 系统评分
        /// </summary>
        public const string SYSTEM = "System";

    }
    #endregion

    #region 考试管理

    #region 考试管理-状态
    /// <summary>
    /// 考试管理-状态
    /// </summary>
    public static class DIC_EXAM_STATUS
    {
        /// <summary>
        /// 草稿箱
        /// </summary>
        public const string DRAFT = "Draft";
        /// <summary>
        /// 已发布
        /// </summary>
        public const string RELEASED = "Released";

        /// <summary>
        /// 已归档
        /// </summary>
        public const string DISABLED = "Disabled";
    }
    #endregion

    #region 考试管理-日期类型
    /// <summary>
    /// 考试管理-日期类型
    /// </summary>
    public static class DicExamDateType
    {
        /// <summary>
        /// 时间区间
        /// </summary>
        public const string EXAM_DATE = "ExamDate";
        /// <summary>
        /// 学完多久
        /// </summary>
        public const string AFTER_HOW_LONG = "AfterHowLong";
    }
    #endregion

    #region 考试管理-关联类型
    /// <summary>
    /// 考试管理-关联类型-課程
    /// </summary>
    public const string DIC_EXAM_LINK_TYPE_COURSE = "CourseId";
    /// <summary>
    /// 考试管理-关联类型-場景
    /// </summary>
    public const string DIC_EXAM_DATE_TYPE_COURSE_SCENE = "CourseSceneId";
    #endregion


    #region 考试管理-人员来源
    /// <summary>
    /// 考试管理-人员来源
    /// </summary>
    public static class DIC_EXAM_STAFF_SOURCE
    {
        /// <summary>
        /// 手动必修
        /// </summary>
        public const string MANUAL_REQUIRED = "ManualRequired";
        /// <summary>
        /// 必修规则
        /// </summary>
        public const string STUDY_RULE_REQUIRED = "StudyRuleRequired";

    }
    #endregion

    #endregion

    #region 培训记录-课程状态

    /// <summary>
    /// 培训记录-课程状态-进行中
    /// </summary>
    public const string DIC_STUDY_RECORD_COURSE_STATUS_IN = "In";

    /// <summary>
    /// 培训记录-课程状态-已结束
    /// </summary>
    public const string DIC_STUDY_RECORD_COURSE_STATUS_OVER = "Over";

    #endregion

    #region 培训记录-学习状态
    /// <summary>
    /// 培训记录-学习状态
    /// </summary>

    public static class DicStudyRecordStudyStatus
    {
        /// <summary>
        /// 未参与
        /// </summary>
        public const string NO_JOIN = "NoJoin";
        /// <summary>
        /// 未完成
        /// </summary>
        public const string NO_FINISH = "NoFinish";
        /// <summary>
        /// 已完成
        /// </summary>
        public const string HAS_FINISH = "HasFinish";
    }

    #endregion

    #region 考试记录

    #region 考试记录-状态
    /// <summary>
    /// 考试记录-状态
    /// </summary>
    public static class DIC_EXAM_RECORD_STATUS
    {
        /// <summary>
        /// 待考试
        /// </summary>
        public const string WAIT = "Wait";


        /// <summary>
        /// 考试中
        /// </summary>
        public const string EXAMING = "Examing";

        /// <summary>
        /// 考试结束
        /// </summary>
        public const string EXAM_END = "ExamEnd";
    }


    #endregion

    #region 考试记录-评分状态
    /// <summary>
    /// 考试记录-评分状态
    /// </summary>
    public static class DIC_EXAM_RECORD_SCORE_STATUS
    {
        /// <summary>
        /// 评分
        /// </summary>
        public const string NO_SCORE = "NoScore";

        /// <summary>
        /// 已评分
        /// </summary>
        public const string HAS_SCORE = "HasScore";
    }

    #endregion

    #endregion
}